//-----------------------------------------------------------------------------
// Copyright (c) 2012 GarageGames, LLC
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.
//-----------------------------------------------------------------------------

new TerrainMaterial()
{
   internalName = "grass1";
   diffuseMap = "grass1";
   detailMap = "grass1_d";
   detailSize = "10";
   isManaged = "1";
   detailBrightness = "1";
   Enabled = "1";
   diffuseSize = "200";
};

new TerrainMaterial()
{
   internalName = "rocktest";
   diffuseMap = "rocktest";
   detailMap = "rocktest_d";
   detailSize = "10";
   detailDistance = "100";
   isManaged = "1";
   detailBrightness = "1";
   Enabled = "1";
   diffuseSize = "400";
};

new TerrainMaterial()
{
   internalName = "grass1-dry";
   diffuseMap = "grass1-dry";
   detailMap = "grass1-dry_d";
   detailSize = "10";
   detailDistance = "100";
   isManaged = "1";
   detailBrightness = "1";
   Enabled = "1";
   diffuseSize = "250";
   detailStrength = "2";
};

new TerrainMaterial()
{
   internalName = "dirt_grass";
   diffuseMap = "dirt_grass";
   detailMap = "dirt_grass_d";
   detailSize = "5";
   detailDistance = "100";
   isManaged = "1";
   detailBrightness = "1";
   Enabled = "1";
   diffuseSize = "200";
};

new TerrainMaterial()
{
   internalName = "sand";
   diffuseMap = "levels/east_coast_usa/export/East Coast - USA_sculptmask";
   detailMap = "levels/east_coast_usa/art/terrains/Concrete-02-D";
   detailSize = "10";
   detailDistance = "100";
   isManaged = "1";
   detailBrightness = "1";
   Enabled = "1";
   diffuseSize = "2048";
};


new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/Overlay_RockyDirt";
   detailMap = "levels/east_coast_usa/art/terrains/utah_texture_dirt_01_d";
   internalName = "RockyDirt";
   detailDistance = "150";
   detailStrength = "0.7";
   parallaxScale = "0";
   diffuseSize = "100";
   normalMap = "levels/east_coast_usa/art/terrains/utah_texture_dirt_01_n";
   detailSize = "3";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/Overlay_01";
   normalMap = "levels/east_coast_usa/art/terrains/Concrete-03-ddn";
   detailMap = "levels/east_coast_usa/art/terrains/Concrete-03-diff";
   internalName = "Concrete";
   detailStrength = "1";
   diffuseSize = "20";
   detailDistance = "100";
   parallaxScale = "0";
   detailSize = "5";
   useSideProjection = "0";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/Overlay_Grass-01";
   detailMap = "levels/east_coast_usa/art/terrains/Grass-01-D";
   internalName = "Grass";
   diffuseSize = "150";
   detailDistance = "50";
   normalMap = "levels/east_coast_usa/art/terrains/Grass-01-N";
   macroSize = "100";
   macroStrength = "0.4";
   macroDistance = "450";
   macroMap = "levels/east_coast_usa/art/terrains/Macro_grass";
   detailSize = "3";
   detailStrength = "0.7";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/Overlay_02";
   diffuseSize = "20";
   detailMap = "levels/east_coast_usa/art/terrains/Rock-05-D";
   detailSize = "7";
   detailDistance = "200";
   internalName = "Rock";
   useSideProjection = "0";
   detailStrength = "0.5";
   normalMap = "levels/east_coast_usa/art/terrains/Rock-05-N";
   parallaxScale = "0";
};


new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/Overlay_02";
   normalMap = "levels/east_coast_usa/art/terrains/Rock-04-N";
   detailMap = "levels/east_coast_usa/art/terrains/Rock-04-D";
   detailDistance = "300";
   internalName = "Rock2";
   diffuseSize = "20";
   detailSize = "12";
};

new TerrainMaterial()
{
   detailMap = "levels/east_coast_usa/art/terrains/grid_10_diff";
   internalName = "Grid";
   diffuseMap = "levels/east_coast_usa/art/terrains/grid_10_diff";
   diffuseSize = "1";
   detailDistance = "2000";
   detailSize = "1";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/Overlay_Grass-02b";
   normalMap = "levels/east_coast_usa/art/terrains/Grass-01-N";
   detailMap = "levels/east_coast_usa/art/terrains/Grass-01-D";
   parallaxScale = "0";
   internalName = "Grass2";
   detailDistance = "100";
   detailSize = "3";
   detailStrength = "0.5";
   macroSize = "60";
   macroStrength = "0.3";
   diffuseSize = "500";
   macroDistance = "200";
   macroMap = "levels/east_coast_usa/art/terrains/rockydirt-01-d";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/Overlay_01";
   normalMap = "levels/east_coast_usa/art/terrains/Concrete-02-NH";
   detailMap = "levels/east_coast_usa/art/terrains/Concrete-02-D";
   internalName = "Concrete2";
   detailSize = "3";
   parallaxScale = "0";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/Overlay_Sand-01";
   normalMap = "levels/east_coast_usa/art/terrains/Sand-01-N";
   detailMap = "levels/east_coast_usa/art/terrains/Sand-01-D";
   internalName = "BeachSand";
   detailStrength = "1";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/Overlay_forest_floor";
   normalMap = "levels/east_coast_usa/art/terrains/forest_floor_n";
   detailMap = "levels/east_coast_usa/art/terrains/forest_floor_d";
   internalName = "forest_floor";
   detailSize = "3";
   macroSize = "100";
   macroStrength = "0.5";
   macroMap = "levels/east_coast_usa/art/terrains/Macro_forest_floor";
   macroDistance = "700";
   detailStrength = "0.7";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/Overlay_02";
   detailMap = "levels/east_coast_usa/art/terrains/rockybeach_d";
   parallaxScale = "0";
   internalName = "rocks_large";
   detailSize = "3";
   detailStrength = "0.5";
   detailDistance = "100";
   normalMap = "levels/east_coast_usa/art/terrains/rockybeach_n";
   macroMap = "levels/east_coast_usa/art/terrains/Rock_05_detail";
   macroSize = "35";
   macroStrength = "0.5";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/utah_overlay";
   detailMap = "levels/east_coast_usa/art/terrains/utah_texture_dirt_01_d";
   internalName = "Utah_dirt";
   normalMap = "levels/east_coast_usa/art/terrains/utah_texture_dirt_01_n";
   detailSize = "7";
   diffuseSize = "4096";
   detailDistance = "80";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/utah_overlay";
   normalMap = "levels/east_coast_usa/art/terrains/utah_texture_dirt_01_n";
   detailMap = "levels/east_coast_usa/art/terrains/RockyDirt-01-D";
   internalName = "Utah_rocky";
   diffuseSize = "4096";
   detailDistance = "100";
   detailSize = "7";
   detailStrength = "1";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/utah_overlay";
   normalMap = "levels/east_coast_usa/art/terrains/Utah_Texture_RockyDirt_01_n";
   detailMap = "levels/east_coast_usa/art/terrains/Utah_Texture_RockyDirt_01_d";
   internalName = "Utah_rockydirt";
   detailSize = "5";
   detailDistance = "100";
   detailStrength = "0.8";
   diffuseSize = "4096";
};


new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/utah_overlay";
   normalMap = "levels/east_coast_usa/art/terrains/Utah_Texture_RockyDirt_02_n";
   detailMap = "levels/east_coast_usa/art/terrains/Utah_Texture_RockyDirt_02_d";
   internalName = "Utah_rockydirt2";
   detailSize = "7";
   detailDistance = "100";
   detailStrength = "0.7";
   diffuseSize = "4096";
   useSideProjection = "0";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/utah_overlay";
   diffuseSize = "4096";
   detailMap = "levels/east_coast_usa/art/terrains/Utah_Texture_SandyDirt_01_d";
   detailSize = "5";
   detailStrength = "0.7";
   detailDistance = "100";
   internalName = "Utah_sandydirt";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/utah_overlay";
   normalMap = "levels/east_coast_usa/art/terrains/Utah_Texture_RockRubble_01_n";
   internalName = "Utah_RockRubble";
   detailSize = "5";
   detailDistance = "100";
   detailMap = "levels/east_coast_usa/art/terrains/Utah_Texture_RockRubble_01_d";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/utah_texture_dirt_01_d";
   normalMap = "levels/east_coast_usa/art/terrains/utah_texture_dirt_01_n";
   detailMap = "levels/east_coast_usa/art/terrains/utah_texture_dirt_01_d";
   internalName = "groundmodel_asphalt1";
   detailSize = "3";
   parallaxScale = "0";
   macroStrength = "2";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/Overlay_forest_floor";
   normalMap = "levels/east_coast_usa/art/terrains/forest_floor_n";
   detailMap = "levels/east_coast_usa/art/terrains/forest_floor_d";
   detailSize = "3";
   detailStrength = "0.7";
   macroMap = "levels/east_coast_usa/art/terrains/Macro_forest_floor";
   macroSize = "100";
   macroStrength = "0.5";
   macroDistance = "900";
   internalName = "Forest";
};

new TerrainMaterial()
{
   diffuseMap = "levels/east_coast_usa/art/terrains/Overlay_RockyDirt";
   diffuseSize = "100";
   normalMap = "levels/east_coast_usa/art/terrains/utah_texture_dirt_01_n";
   detailMap = "levels/east_coast_usa/art/terrains/utah_texture_dirt_01_d";
   detailSize = "3";
   detailStrength = "0.7";
   detailDistance = "150";
   internalName = "Dirt";
   macroMap = "levels/east_coast_usa/art/terrains/rockydirt-01-d";
   macroStrength = "0.15";
   macroSize = "50";
   macroDistance = "200";
};
